View Issue Details

IDProjectCategoryView StatusLast Update
0005252GNUnetnamestore servicepublic2018-06-07 00:24
ReporterschanzenAssigned Toschanzen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005252: zone_to_name does not work
DescriptionThe zone_to_name API does not work as documented.
It always returns rd_count=0 even if a PKEY delegation exists.

The tests also seem to be commented out (and do not compile anymore) since 2014.
Steps To Reproduce1. Create two egos A and B
2. Create a PKEY delegation in A's namespace to B
3. Execute zone_to_name for B in A
4. Get no results
TagsNo tags attached.

Activities

Christian Grothoff

2018-01-12 11:48

manager   ~0012767

Why is the testcase passing? Can you tell what the difference is between your test and the testcase?

schanzen

2018-01-12 13:16

developer   ~0012775

The test case is commented out. It is not running. You commented it (see git blame Makefile.am):

46ffd23b64 (Christian Grothoff 2014-04-08 08:07:18 +0000 63) # test_namestore_api_zone_to_name

schanzen

2018-01-12 13:37

developer   ~0012776

Fixed in 88a4bbdd9857746e2ffdd9028b091c2be0bd3fe7.
We had an error in the sqlite plugin.

schanzen

2018-01-12 13:37

developer   ~0012777

See #88a4bbdd9857746e2ffdd9028b091c2be0bd3fe7

Issue History

Date Modified Username Field Change
2018-01-12 11:01 schanzen New Issue
2018-01-12 11:01 schanzen Status new => assigned
2018-01-12 11:01 schanzen Assigned To => Christian Grothoff
2018-01-12 11:48 Christian Grothoff Note Added: 0012767
2018-01-12 11:48 Christian Grothoff Assigned To Christian Grothoff => schanzen
2018-01-12 11:48 Christian Grothoff Status assigned => feedback
2018-01-12 11:48 Christian Grothoff Product Version => SVN HEAD
2018-01-12 11:48 Christian Grothoff Target Version => 0.11.0pre66
2018-01-12 13:16 schanzen Note Added: 0012775
2018-01-12 13:37 schanzen Note Added: 0012776
2018-01-12 13:37 schanzen Status feedback => resolved
2018-01-12 13:37 schanzen Resolution open => fixed
2018-01-12 13:37 schanzen Note Added: 0012777
2018-01-12 15:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed